org.eclipse.microprofile.lra.tck.participant.api

## Class ResourceParent

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

Direct Known Subclasses:
  AfterLRAListener, LraResource, LRATypeTckInterfaceResource, LRATypeTckResource, LRATypeTckSuperclass, LRAUnknownResource, NonParticipatingTckResource

    @ApplicationScoped
    public class ResourceParent
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResourceParent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `afterLRA(URI endedLRAId, LRAStatus status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceParent

    public ResourceParent()

### Method Detail

#### afterLRA

    @PUT
     @Path(value="/after")
    public jakarta.ws.rs.core.Response afterLRA(@HeaderParam(value="Long-Running-Action-Ended")
                                                                            URI endedLRAId,
                                                                            LRAStatus status)